summaryrefslogtreecommitdiffstats
path: root/audio/sbagen
diff options
context:
space:
mode:
Diffstat (limited to 'audio/sbagen')
-rw-r--r--audio/sbagen/README18
-rw-r--r--audio/sbagen/sbagen-oss3
-rw-r--r--audio/sbagen/sbagen.SlackBuild116
-rw-r--r--audio/sbagen/sbagen.info12
-rw-r--r--audio/sbagen/slack-desc19
5 files changed, 168 insertions, 0 deletions
diff --git a/audio/sbagen/README b/audio/sbagen/README
new file mode 100644
index 0000000000..d198947dd6
--- /dev/null
+++ b/audio/sbagen/README
@@ -0,0 +1,18 @@
+A Sequenced Binaural Wave Generator for Linux, Windows and Mac OS X.
+May be used to generate sounds that entrain the brain's waves to
+oscillate at selected frequencies to aid in relaxation, lucid dreaming,
+meditation, clear thought, out-of-body experiences and more.
+
+NOTE: SBaGen can run script sequences with mp3 and ogg backgrounds
+using reserved libraries (libmad.so/libvorbisidec.so.1).
+To use this, pass NONFREE=yes option to SlackBuild script (requires libvorbisidec).
+
+SBaGen is run only with OSS. Use 'sbagen-oss' to play script sequences.
+READ the following documents to understand how this program works:
+ * /usr/share/doc/sbagen-VERSION/theory.txt
+ * /usr/share/doc/sbagen-VERSION/theory2.txt
+ * /usr/share/doc/sbagen-VERSION/SBAGEN.txt
+
+ For more information about Binaural Beats and SBaGen, visit the official page.
+
+USE AND EXPERIMENT WITH THIS UTILITY AT YOUR OWN RISK!
diff --git a/audio/sbagen/sbagen-oss b/audio/sbagen/sbagen-oss
new file mode 100644
index 0000000000..6e4b7a7557
--- /dev/null
+++ b/audio/sbagen/sbagen-oss
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+aoss sbagen "$@"
diff --git a/audio/sbagen/sbagen.SlackBuild b/audio/sbagen/sbagen.SlackBuild
new file mode 100644
index 0000000000..f6f7e1fac1
--- /dev/null
+++ b/audio/sbagen/sbagen.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for sbagen
+
+# Copyright 2015 Ruan K. F <ruan.klein@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sbagen
+VERSION=${VERSION:-1.4.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="COPYING.txt ChangeLog.txt README.txt SBAGEN.txt TODO.txt focus.txt focus2.txt holosync.txt theory.txt theory2.txt wave.txt"
+
+# For MP3 and OGG support, set this to "yes"
+NONFREE=${NONFREE:-no}
+RIVERSOUNDS="sbagen-river-1.4.1.tgz"
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486
+ ;;
+ x86_64) ARCH=x86_64
+ ;;
+ *) ARCH=$(uname -m) # bad
+ ;;
+ esac
+fi
+
+[[ ! $ARCH =~ ^(i486|i686|x86_64)$ ]] && {
+ echo "Sorry, this script no support the $ARCH architecture." >&2
+ exit 1
+}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "$NONFREE" = "yes" ]; then
+ LIBS="/usr/lib${LIBDIRSUFFIX}/libvorbisidec.so.1 /usr/lib${LIBDIRSUFFIX}/libmad.so"
+ OPT="${SLKCFLAGS} -DT_LINUX -DOGG_DECODE -DMP3_DECODE -Wall -s -lm -lpthread"
+ rm -f river{1,2}.ogg
+ # original river sounds
+ tar -xvf $CWD/$RIVERSOUNDS sbagen-1.4.1/river{1,2}.ogg --strip=1
+else
+ LIBS=""
+ OPT="${SLKCFLAGS} -DT_LINUX -Wall -s -lm -lpthread"
+fi
+
+# build
+gcc $OPT $LIBS sbagen.c -o sbagen || exit 1;
+
+mkdir -p $PKG/usr/{bin,doc/$PRGNAM-$VERSION,share/$PRGNAM/src}
+cp -ar $DOCS examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar scripts river{1,2}.ogg \
+ $PKG/usr/share/$PRGNAM
+cp -ar *.c mk-* libs \
+ $PKG/usr/share/$PRGNAM/src
+
+install -m0755 -o 0:0 $CWD/${PRGNAM}-oss $PKG/usr/bin
+install -m0755 -o 0:0 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/audio/sbagen/sbagen.info b/audio/sbagen/sbagen.info
new file mode 100644
index 0000000000..1abbd2ad47
--- /dev/null
+++ b/audio/sbagen/sbagen.info
@@ -0,0 +1,12 @@
+PRGNAM="sbagen"
+VERSION="1.4.5"
+HOMEPAGE="http://uazu.net/sbagen/"
+DOWNLOAD="http://uazu.net/sbagen/sbagen-1.4.5.tgz \
+ http://uazu.net/sbagen/sbagen-river-1.4.1.tgz"
+MD5SUM="45f329ea45eb6552b22aa93d6a03db88 \
+ 76e4f594477c4121b3b560548dc8229e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ruan K. F"
+EMAIL="ruan.klein@gmail.com"
diff --git a/audio/sbagen/slack-desc b/audio/sbagen/slack-desc
new file mode 100644
index 0000000000..0327f41c97
--- /dev/null
+++ b/audio/sbagen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sbagen: SBaGen (Binaural Beat Generator)
+sbagen:
+sbagen: A Sequenced Binaural Wave Generator for Linux, Windows, and Mac OS X.
+sbagen: May be used to generate sounds that entrain the brain's waves to
+sbagen: oscillate at selected frequencies to aid in relaxation,
+sbagen: lucid dreaming, meditation, clear thought, out-of-body experiences
+sbagen: and more.
+sbagen:
+sbagen: Homepage: http://uazu.net/sbagen/
+sbagen:
+sbagen: \ No newline at end of file